Name: autoconf
Version: 2.72
Release: 1
License: GPL-3.0-or-later
Summary: autoconf
Url: https://www.gnu.org/software/autoconf/autoconf.html
BuildArch: noarch

Requires: m4-gnu

Source0: https://ftp.gnu.org/gnu/autoconf/autoconf-%{version}.tar.xz

%description
Autoconf is an extensible package of M4 macros that produce shell scripts to
automatically configure software source code packages.These scripts can adapt
the packages to many kinds of UNIX-like systems without manual user
intervention. Autoconf creates a configuration script for a package from a
template file that lists the operating system features that the package can use,
in the form of M4 macro calls.

%prep
%setup -q

%build
%configure \
  PERL=%{_bindir}/perl \

%make_build

%install

%make_install

%files
%defattr(-, qsys, *none)

%{_bindir}/autom4te
%{_bindir}/autoconf
%{_bindir}/autoheader
%{_bindir}/autoreconf
%{_bindir}/ifnames
%{_bindir}/autoscan
%{_bindir}/autoupdate

%{_datadir}/autoconf

%{_infodir}/autoconf.info*
%{_infodir}/standards.info*

%{_mandir}/man1/autoconf.1*
%{_mandir}/man1/autoheader.1*
%{_mandir}/man1/autom4te.1*
%{_mandir}/man1/autoreconf.1*
%{_mandir}/man1/autoscan.1*
%{_mandir}/man1/autoupdate.1*
%{_mandir}/man1/ifnames.1*


%changelog
* Sat Feb 10 2024 Mark Irish <mirish@ibm.com> - 2.72
- Update to 2.72

* Thu Oct 15 2020 Abdirahim Musse <abdirahim.musse@ibm.com> - 2.69
- Add m4-gnu dependency

* Wed May 27 2020 Kevin Adler <kadler@us.ibm.com> - 2.69
- Use generic paths for man and info pages to allow for compression

* Wed Nov 27 2019 Abdirahim Musse <abdirahim.musse@ibm.com> 
- Use SPDX license identifier
- Use configure macro
- Remove commented files in files section
- Wrapped description such that each line does not exceed 80 characters

* Sat Mar 3 2018 Kevin Adler <kadler@us.ibm.com> 
- Add spaces between _bindir, _datadir,  _infodir, _mandir in files section

* Mon Jun 5 2017 Kevin Adler <kadler@us.ibm.com> 
- Use make_build and make_install macros

* Sun Apr 23 2017 Kevin Adler <kadler@us.ibm.com> 
- Remove extra space in Summary lines

* Thu Apr 20 2017 Kevin Adler <kadler@us.ibm.com> 
- Add initial spec file
